Package org.pushingpixels.lafwidget.tabbed

# Class TabOverviewDialogWidget

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetAdapter<JTabbedPane>
org.pushingpixels.lafwidget.tabbed.TabOverviewDialogWidget

All Implemented Interfaces:
  `LafWidget<JTabbedPane>`

public class TabOverviewDialogWidget extends LafWidgetAdapter<JTabbedPane>
Adds tab overview dialog to tabbed panes.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ContainerListener`
`containerListener`
Listens on tabs being added or removed.
`protected TabOverviewButton`
`overviewButton`
Tab overview button.
`protected PropertyChangeListener`
`propertyListener`
Listens on changes to relevant tabbed pane properties.

### Fields inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`jcomp`

### Fields inherited from interface org.pushingpixels.lafwidget.LafWidget

`AUTO_SCROLL, COMPONENT_PREVIEW_PAINTER, HAS_LOCK_ICON, IGNORE_GLOBAL_LOCALE, PASSWORD_STRENGTH_CHECKER, TABBED_PANE_PREVIEW_PAINTER, TEXT_EDIT_CONTEXT_MENU, TEXT_FLIP_SELECT_ON_ESCAPE, TEXT_SELECT_ON_FOCUS, TREE_AUTO_DND_SUPPORT`

## Constructor Summary

Constructors
Constructor
Description
`TabOverviewDialogWidget()`

## Method Summary

Modifier and Type
Method
Description
`void`
`installComponents()`
Installs components for the associated component.
`void`
`installDefaults()`
Installs default settings for the associated component.
`void`
`installListeners()`
Installs listeners for the associated component.
`boolean`
`requiresCustomLafSupport()`
Returns indication whether `this` widget requires custom LAF support.
`void`
`uninstallComponents()`
Uninstalls components for the associated component.
`void`
`uninstallListeners()`
Uninstalls listeners for the associated component.

### Methods inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`installUI, setComponent, uninstallDefaults, uninstallUI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### overviewButton

protected TabOverviewButton overviewButton
Tab overview button.

### propertyListener

protected PropertyChangeListener propertyListener
Listens on changes to relevant tabbed pane properties.

### containerListener

protected ContainerListener containerListener
Listens on tabs being added or removed.

## Constructor Details

### TabOverviewDialogWidget

public TabOverviewDialogWidget()

## Method Details

### installComponents

public void installComponents()
Description copied from interface: `LafWidget`
Installs components for the associated component.

Specified by:
  `installComponents` in interface `LafWidget<JTabbedPane>`
Overrides:
  `installComponents` in class `LafWidgetAdapter<JTabbedPane>`

### installDefaults

public void installDefaults()
Description copied from interface: `LafWidget`
Installs default settings for the associated component.

Specified by:
  `installDefaults` in interface `LafWidget<JTabbedPane>`
Overrides:
  `installDefaults` in class `LafWidgetAdapter<JTabbedPane>`

### uninstallComponents

public void uninstallComponents()
Description copied from interface: `LafWidget`
Uninstalls components for the associated component.

Specified by:
  `uninstallComponents` in interface `LafWidget<JTabbedPane>`
Overrides:
  `uninstallComponents` in class `LafWidgetAdapter<JTabbedPane>`

### installListeners

public void installListeners()
Description copied from interface: `LafWidget`
Installs listeners for the associated component.

Specified by:
  `installListeners` in interface `LafWidget<JTabbedPane>`
Overrides:
  `installListeners` in class `LafWidgetAdapter<JTabbedPane>`

### uninstallListeners

public void uninstallListeners()
Description copied from interface: `LafWidget`
Uninstalls listeners for the associated component.

Specified by:
  `uninstallListeners` in interface `LafWidget<JTabbedPane>`
Overrides:
  `uninstallListeners` in class `LafWidgetAdapter<JTabbedPane>`

### requiresCustomLafSupport

public boolean requiresCustomLafSupport()
Description copied from interface: `LafWidget`
Returns indication whether `this` widget requires custom LAF support. Some widgets such as `TabOverviewDialogWidget` or `TabHoverPreviewWidget` require custom implementation based on the internals of the specific LAF. Relevant functions in the base `LafWidgetSupport` support throw `UnsupportedOperationException`.

Returns:
  `true` if `this` widget requires custom LAF support, `false` otherwise.